Debian Bug report logs - #317100
URI of socket ignored by slapd (in ldap_connect_to_path), it always used /var/run/ldapi (aka ITS#3467, ITS#3518). But this bug was fixed in openldap CVS HEAD. Is it possible to backported it to current slapd (2.2.26-3)?

version graph

Package: slapd; Maintainer for slapd is Debian OpenLDAP Maintainers <pkg-openldap-devel@lists.alioth.debian.org>; Source for slapd is src:openldap.

Reported by: Andrey Volkov <avolkov@varma-el.com>

Date: Wed, 6 Jul 2005 10:18:01 UTC

Severity: normal

Found in version 2.2.23-8

Fixed in version openldap2.2/2.2.26-4

Done: Torsten Landschoff <torsten@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Torsten Landschoff <torsten@debian.org>:
Bug#317100; Package slapd. Full text and rfc822 format available.

Acknowledgement sent to Andrey Volkov <avolkov@varma-el.com>:
New Bug report received and forwarded. Copy sent to Torsten Landschoff <torsten@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Andrey Volkov <avolkov@varma-el.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: URI of socket ignored by slapd (in ldap_connect_to_path), it always used /var/run/ldapi (aka ITS#3467, ITS#3518). But this bug was fixed in openldap CVS HEAD. Is it possible to backported it to current slapd (2.2.26-3)?
Date: Wed, 06 Jul 2005 14:03:32 +0400
Package: slapd
Version: 2.2.23-8
Severity: normal



-- System Information:
Debian Release: 3.1
  APT prefers testing
  APT policy: (700, 'testing')
Architecture: i386 (i686)
Kernel: Linux 2.6.7-geos-1.0se
Locale: LANG=en_US.ISO-8859-15, LC_CTYPE=ru_RU.KOI8-R (charmap=KOI8-R)

Versions of packages slapd depends on:
ii  coreutils [fileutils]       5.2.1-2      The GNU core utilities
ii  debconf                     1.4.30.13    Debian configuration management sy
ii  fileutils                   5.2.1-2      The GNU file management utilities 
hi  libc6                       2.3.2.ds1-22 GNU C Library: Shared libraries an
ii  libdb4.2                    4.2.52-18    Berkeley v4.2 Database Libraries [
ii  libiodbc2                   3.52.2-3     iODBC Driver Manager
ii  libldap-2.2-7               2.2.23-8     OpenLDAP libraries
ii  libltdl3                    1.5.6-6      A system independent dlopen wrappe
ii  libperl5.8                  5.8.4-8      Shared Perl library
ii  libsasl2                    2.1.19-1.5   Authentication abstraction library
ii  libslp1                     1.0.11a-2    OpenSLP libraries
ii  libssl0.9.7                 0.9.7e-3     SSL shared libraries
ii  libwrap0                    7.6.dbs-8    Wietse Venema's TCP wrappers libra
ii  perl [libmime-base64-perl]  5.8.4-8      Larry Wall's Practical Extraction 
ii  psmisc                      21.5-1       Utilities that use the proc filesy

-- debconf information:
  slapd/slurpd/credentials: (password omitted)
  slapd/internal/adminpw: (password omitted)
* slapd/password1: (password omitted)
* slapd/password2: (password omitted)
  slapd/ldif_noexist:
  slapd/fix_directory: true
* shared/organization: Varma Electronics Oy
  slapd/unknown_class:
* slapd/conf_exists:
  slapd/upgrade_slapcat_failure:
* shared/locale/countrycode: ru
  slapd/backend: BDB
* slapd/allow_ldap_v2: true
* slapd/fill_method: auto
* slapd/no_configuration: false
  slapd/move_old_database: true
  slapd/suffix_change: false
* slapd/no_password:
  slapd/invalid_suffix: false
  slapd/slurpd/port: 389
  slapd/slurpd/binddn:
* slapd/suffix_type: custom
  slapd/ldif_file:
  slapd/slave_databases_require_updateref:
* slapd/dump_database_destdir: /var/backups/slapd-VERSION
* slapd/autoconf_modules: true
* slapd/domain: varma-el.com
  slapd/password_mismatch:
  slapd/invalid_config: true
* slapd/replicate: false
  slapd/upgrade_slapadd_failure:
* slapd/custom_suffix: dc=varma-el,dc=com
* slapd/dump_database: when needed
  slapd/internal/dn: dc=varma-el,dc=com
  slapd/slurpd/host:
  slapd/migrate_ldbm_to_bdb: false
  slapd/internal/admin:
* slapd/purge_database: false
  slapd/admin:



Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#317100; Package slapd. Full text and rfc822 format available.

Acknowledgement sent to Torsten Landschoff <torsten@debian.org>:
Extra info received and forwarded to list. Full text and rfc822 format available.

Message #10 received at 317100@bugs.debian.org (full text, mbox):

From: Torsten Landschoff <torsten@debian.org>
To: Andrey Volkov <avolkov@varma-el.com>, 317100@bugs.debian.org
Subject: Re: Bug#317100: URI of socket ignored by slapd (in ldap_connect_to_path), it always used /var/run/ldapi (aka ITS#3467, ITS#3518). But this bug was fixed in openldap CVS HEAD. Is it possible to backported it to current slapd (2.2.26-3)?
Date: Sat, 16 Jul 2005 15:56:07 +0200
[Message part 1 (text/plain, inline)]
Hi Andrey, 
On Wed, Jul 06, 2005 at 02:03:32PM +0400, Andrey Volkov wrote:

Why are you writing in only the subject? Of course that bugfix can be
backported but I fail to see the immediate need. Does it break something
for you?

Greetings

	Torsten
[signature.asc (application/pgp-signature, inline)]

Information stored:
Bug#317100; Package slapd. Full text and rfc822 format available.

Acknowledgement sent to Torsten Landschoff <torsten@debian.org>:
Extra info received and filed, but not forwarded. Full text and rfc822 format available.

Message #15 received at 317100-quiet@bugs.debian.org (full text, mbox):

From: Torsten Landschoff <torsten@debian.org>
To: Andrey Volkov <avolkov@varma-el.com>
Cc: 317100-quiet@bugs.debian.org
Subject: Re: Bug#317100: URI of socket ignored by slapd (in ldap_connect_to_path), it always used /var/run/ldapi (aka ITS#3467, ITS#3518). But this bug was fixed in openldap CVS HEAD. Is it possible to backported it to current slapd (2.2.26-3)?
Date: Mon, 18 Jul 2005 11:09:49 +0200
[Message part 1 (text/plain, inline)]
Hi Andrey, 

On Mon, Jul 18, 2005 at 12:47:50PM +0400, Andrey Volkov wrote:
> > Why are you writing in only the subject? Of course that bugfix can be
> > backported but I fail to see the immediate need. Does it break something
> > for you?
> Indeed, my chrooted postfix (and any chrooted daemon too). Since I
> couldn't change socket place (ex. to /var/run/slapd/ldapi), I must bind
> (with mount -o bind) FULL directory /var/run to postfix jail :(, but not
> only /var/run/slapd, or use ldap://localhost (which slower than socket).
> That contradicted chroot ideology, IMHO.

Thanks for the clarification. That warrants that patch :)

Greetings

	Torsten
[signature.asc (application/pgp-signature, inline)]

Reply sent to Torsten Landschoff <torsten@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Andrey Volkov <avolkov@varma-el.com>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #20 received at 317100-close@bugs.debian.org (full text, mbox):

From: Torsten Landschoff <torsten@debian.org>
To: 317100-close@bugs.debian.org
Subject: Bug#317100: fixed in openldap2.2 2.2.26-4
Date: Tue, 19 Jul 2005 15:52:15 -0400
Source: openldap2.2
Source-Version: 2.2.26-4

We believe that the bug you reported is fixed in the latest version of
openldap2.2, which is due to be installed in the Debian FTP archive:

ldap-utils_2.2.26-4_i386.deb
  to pool/main/o/openldap2.2/ldap-utils_2.2.26-4_i386.deb
libldap-2.2-7_2.2.26-4_i386.deb
  to pool/main/o/openldap2.2/libldap-2.2-7_2.2.26-4_i386.deb
openldap2.2_2.2.26-4.diff.gz
  to pool/main/o/openldap2.2/openldap2.2_2.2.26-4.diff.gz
openldap2.2_2.2.26-4.dsc
  to pool/main/o/openldap2.2/openldap2.2_2.2.26-4.dsc
slapd_2.2.26-4_i386.deb
  to pool/main/o/openldap2.2/slapd_2.2.26-4_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 317100@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Torsten Landschoff <torsten@debian.org> (supplier of updated openldap2.2 package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Tue, 19 Jul 2005 20:52:17 +0200
Source: openldap2.2
Binary: slapd ldap-utils libldap-2.2-7
Architecture: source i386
Version: 2.2.26-4
Distribution: unstable
Urgency: low
Maintainer: Torsten Landschoff <torsten@debian.org>
Changed-By: Torsten Landschoff <torsten@debian.org>
Description: 
 ldap-utils - OpenLDAP utilities
 libldap-2.2-7 - OpenLDAP libraries
 slapd      - OpenLDAP server (slapd)
Closes: 316623 316624 317100
Changes: 
 openldap2.2 (2.2.26-4) unstable; urgency=low
 .
   * [l10n] Vietnamese translations by Clytie Siddall (closes: #316623).
   * debian/slapd.templates: Fix typos occured -> occurred (closes: #316624).
   * libraries/libldap/url.c: Apply patch from upstream CVS to fix URI
     parsing (closes: #317100).
Files: 
 6079731abdb74b329e0eeff5ec2926c8 1002 net optional openldap2.2_2.2.26-4.dsc
 e9f30ed90da7a5fcfcfd22022b7319bb 502598 net optional openldap2.2_2.2.26-4.diff.gz
 a368caa3a3fa7c1b25cc90664fc16d5f 939336 net optional slapd_2.2.26-4_i386.deb
 10a9c1ca05ee7c63f00815781c1b5031 119460 net optional ldap-utils_2.2.26-4_i386.deb
 b843ec47f9e237c841ef480dd260ec9b 152966 libs important libldap-2.2-7_2.2.26-4_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.1 (GNU/Linux)

iD8DBQFC3U9zdQgHtVUb5EcRAk3kAJ9QJyTwSZVICvWZf6qScBIEQsW1vACeLUSP
HzOdj6gcc5AA/hs4q3SRPWU=
=QRqR
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 24 Jun 2007 07:37:56 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 05:44:10 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.